<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:padding="@dimen/custom_margin"
    app:layout_behavior="@string/appbar_scrolling_view_behavior">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardBackgroundColor="@color/white"
        app:cardElevation="@dimen/custom_margin">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginRight="5dp">

                <EditText
                    android:hint="Search Product"
                    android:id="@+id/et_search"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="3"
                    android:drawableLeft="@android:drawable/ic_menu_search"
                    android:drawableStart="@android:drawable/ic_menu_search"
                    android:focusableInTouchMode="true"
                    />
                <ImageView
                    android:id="@+id/img_unfilled"
                    android:layout_width="0dp"
                    android:layout_height="50dp"
                    android:layout_weight="1"
                    android:visibility="invisible"
                    android:src="@mipmap/blanckstock"/>

                <ImageView
                    android:id="@+id/img_scan"
                    android:layout_width="0dp"
                    android:layout_height="50dp"
                    android:layout_weight="1"
                    android:src="@mipmap/barcode_icon"/>

                <ImageView
                    android:id="@+id/img_clear_subaxe"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@mipmap/cancel_icon"
                    android:layout_gravity="center" />

            </LinearLayout>

            <Spinner
                android:id="@+id/sku_spin"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:layout_marginLeft="@dimen/custom_layout_margin_50"
                android:layout_marginTop="@dimen/custom_margin"
                android:layout_marginRight="@dimen/custom_layout_margin_50" />

        </LinearLayout>

    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:padding="@dimen/padding_standard"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_margin="@dimen/margin_bottom_5dp"
        android:weightSum="4">

        <TextView
            android:gravity="left"
            android:textSize="@dimen/text_size_16sp"
            android:textStyle="bold"
            android:text="Inv No :"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight=".5"
            android:padding="@dimen/custom_margin"
            android:textColor="@color/black"/>

        <TextView
            android:id="@+id/invoice_number"
            android:gravity="left"
            android:text=""
            android:textSize="@dimen/text_size_16sp"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1.5"
            android:padding="@dimen/custom_margin"
            android:textColor="@color/black"/>

        <TextView
            android:textSize="@dimen/text_size_16sp"
            android:textStyle="bold"
            android:gravity="left"
            android:text="Inv Type:"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight=".6"
            android:padding="@dimen/custom_margin"
            android:textColor="@color/black"/>

        <TextView
            android:id="@+id/invoice_type"
            android:textSize="@dimen/text_size_16sp"
            android:gravity="left"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1.4"
            android:padding="@dimen/custom_margin"
            android:textColor="@color/black"/>

    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rec_subaxe"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/custom_margin">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal"
            android:weightSum="4"
            android:layout_marginBottom="@dimen/margin_bottom_5dp">

            <TextView
                android:id="@+id/txt_invoice_qty"
                android:textSize="@dimen/text_size_16sp"
                android:gravity="center"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="Invoice Qty"
                android:textStyle="bold"
                android:padding="@dimen/custom_margin"
                android:textColor="@color/black"/>

            <TextView
                android:id="@+id/txt_actual_qty"
                android:textSize="@dimen/text_size_16sp"
                android:gravity="center"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.7"
                android:text="Actual Qty"
                android:padding="@dimen/custom_margin"
                android:textColor="@color/black"
                android:textStyle="bold" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight=".8"
                android:gravity="center"
                android:text="Select All"
                android:textSize="@dimen/text_size_16sp"
                android:textStyle="bold"
                android:padding="@dimen/custom_margin"
                android:textColor="@color/black"/>

            <CheckBox
                android:buttonTint="@color/black"
                android:layout_gravity="center"
                android:id="@+id/confirmation_check_all"
                android:textSize="@dimen/text_size_16sp"
                android:gravity="left"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight=".5"/>
        </LinearLayout>

    </LinearLayout>



    <ExpandableListView
        android:id="@+id/lvExp_stock_check"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginRight="5dp"
        android:layout_marginTop="5dp"
        android:layout_marginLeft="5dp"
        android:layout_marginBottom="25dp"
        android:cacheColorHint="#000000"
        android:divider="@null"
        android:scrollingCache="false" />

</LinearLayout>
